com.smartgwt.client.tools

## Class FacetChartEditProxy

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.tools.EditProxy
    - - com.smartgwt.client.tools.FacetChartEditProxy

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FacetChartEditProxy
      extends EditProxy

  `EditProxy` that handles `FacetCharts` when editMode is enabled.
  See Also:
    `Dashboards & Tools Framework Overview`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetChartEditProxy()`
    `FacetChartEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getDataDisplaySeparatorChar()` If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.
    `java.lang.String` | `getDataEscapeChar()` If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).
    `java.lang.String` | `getDataSeparatorChar()` If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.
    `void` | `getInlineEditText()` Returns the text based on the current component state to be edited inline.
    `static FacetChartEditProxy` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `FacetChartEditProxy` | `setDataDisplaySeparatorChar(java.lang.String dataDisplaySeparatorChar)` If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.
    `FacetChartEditProxy` | `setDataEscapeChar(java.lang.String dataEscapeChar)` If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).
    `FacetChartEditProxy` | `setDataSeparatorChar(java.lang.String dataSeparatorChar)` If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.
    `void` | `setInlineEditText(java.lang.String newValue)` Save the new value into the component's state.

    - ### Methods inherited from class com.smartgwt.client.tools.EditProxy

      `getAllowNestedDrops, getAutoMaskChildren, getBringToFrontOnSelect, getCanSelect, getCanSelectChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getEditMask, getHoopSelector, getInlineEditEvent, getInlineEditForm, getInlineEditInstructionLabel, getInlineEditInstructions, getInlineEditMultiline, getInlineEditOnDrop, getJsObj, getOrCreateJsObj, getPersistCoordinates, getSelectedAppearance, getSelectedBorder, getSelectedLabelBackgroundColor, getSelectedTintColor, getSelectedTintOpacity, getShowDragHandle, getSupportsInlineEdit, getUseCopyPasteShortcuts, getUseEditMask, isCreated, setAllowNestedDrops, setAutoMaskChildren, setBringToFrontOnSelect, setCanSelect, setCanSelectChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setInlineEditEvent, setInlineEditInstructions, setInlineEditMultiline, setInlineEditOnDrop, setJavaScriptObject, setPersistCoordinates, setSelectedAppearance, setSelectedBorder, setSelectedLabelBackgroundColor, setSelectedTintColor, setSelectedTintOpacity, setShowDragHandle, setSupportsInlineEdit, setUseCopyPasteShortcuts, setUseEditMask, showSelectedAppearance, startInlineEditing, startInlineEditing`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetChartEditProxy

          public FacetChartEditProxy()

    - #### FacetChartEditProxy

          public FacetChartEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FacetChartEditProxy getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `EditProxy`

    - #### setDataDisplaySeparatorChar

          public FacetChartEditProxy setDataDisplaySeparatorChar(java.lang.String dataDisplaySeparatorChar)
                                                          throws java.lang.IllegalStateException

      If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.

      With the default of ":", the following input defines four values with titles:

                 North:10, South:20, East:30, West:40

      The `dataEscapeChar` can be used to enter literal colon characters.

      Parameters:
        `dataDisplaySeparatorChar` - New dataDisplaySeparatorChar value. Default value is ":"
      Returns:
        `FacetChartEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDataDisplaySeparatorChar

          public java.lang.String getDataDisplaySeparatorChar()

      If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator for entering label vs value entries.

      With the default of ":", the following input defines four values with titles:

                 North:10, South:20, East:30, West:40

      The `dataEscapeChar` can be used to enter literal colon characters.

      Returns:
        Current dataDisplaySeparatorChar value. Default value is ":"

    - #### setDataEscapeChar

          public FacetChartEditProxy setDataEscapeChar(java.lang.String dataEscapeChar)
                                                throws java.lang.IllegalStateException

      If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).

      Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

      Parameters:
        `dataEscapeChar` - New dataEscapeChar value. Default value is "\"
      Returns:
        `FacetChartEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDataEscapeChar

          public java.lang.String getDataEscapeChar()

      If `inline editing` for this chart edits the `FacetChart.data`, character that can be used to enter literal separator chars (such as the `dataSeparatorChar`).

      Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

      Returns:
        Current dataEscapeChar value. Default value is "\"

    - #### setDataSeparatorChar

          public FacetChartEditProxy setDataSeparatorChar(java.lang.String dataSeparatorChar)
                                                   throws java.lang.IllegalStateException

      If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.

      The `dataEscapeChar` can be used to enter the separator char as part of a field name or value.

      Parameters:
        `dataSeparatorChar` - New dataSeparatorChar value. Default value is ","
      Returns:
        `FacetChartEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDataSeparatorChar

          public java.lang.String getDataSeparatorChar()

      If `inline editing` for this chart edits the `FacetChart.data`, character that should be used as a separator between values, or between pairs of label vs values.

      The `dataEscapeChar` can be used to enter the separator char as part of a field name or value.

      Returns:
        Current dataSeparatorChar value. Default value is ","

    - #### getInlineEditText

          public void getInlineEditText()

      Returns the text based on the current component state to be edited inline. Called by the `EditProxy.inlineEditForm` to obtain the starting edit value.
      Overrides:
        `getInlineEditText` in class `EditProxy`

    - #### setInlineEditText

          public void setInlineEditText(java.lang.String newValue)

      Save the new value into the component's state. Called by the `EditProxy.inlineEditForm` to commit the change.

      Updates the component's `facets` and `data`.

      Lines starting with "--" or "==" are considered titles. A single title is used as the chart title. Titles are matched to the next series of data. If titles are provided for each series, a legend will be shown.

      Series data can be entered as a list of values separated by commas (see `dataSeparatorChar`) or as a valueMap-style list of `label:value` pairs. The first data series defines the number of chart values and the titles, if provided.

      Overrides:
        `setInlineEditText` in class `EditProxy`
      Parameters:
        `newValue` - the new component data